# Copyright(C) 2019 ALPSALPINE CO.,LTD. All Rights Reserved.

# Make file to create USB_F_IAP DLKM

LOCAL_PATH := $(call my-dir)
include $(CLEAR_VARS)

LOCAL_CFLAGS := -Wno-macro-redefined -Wno-unused-function -Wall -Werror
LOCAL_CLANG := true

LOCAL_MODULE_PATH := $(KERNEL_MODULES_OUT)
LOCAL_MODULE := usb_f_iap.ko

LOCAL_SRC_FILES := f_iap.c
LOCAL_NOTICE_FILE := $(LOCAL_PATH)/COPYING

USB_F_IAP_BUILD_DIR := ../../vendor/alpine/kernel/kernel-modules/usb-gadget-apniap/src
DLKM_DIR := ./device/qcom/common/dlkm

KBUILD_OPTIONS := $(USB_F_IAP_BUILD_DIR)

ifeq ($(TARGET_BOARD_ODM_NAME),alpine)
include $(DLKM_DIR)/AndroidKernelModule.mk
endif
